from pydantic import BaseModel
from datetime import datetime
from typing import Optional
from app.models.stock_movement import MovementType

class StockMovementBase(BaseModel):
    product_id: int
    movement_type: MovementType
    quantity: int
    reference_number: Optional[str] = None
    notes: Optional[str] = None

class StockMovementCreate(StockMovementBase):
    pass

class StockMovement(StockMovementBase):
    id: int
    created_at: datetime

    class Config:
        from_attributes = True